curl -X GET "https://prod.api.unleeshed.ai/partner/v1/topics?status=completed&limit=10" \
-H "X-Api-Key: pk_live_your_api_key"
const response = await fetch(
'https://prod.api.unleeshed.ai/partner/v1/topics?status=completed&limit=10',
{ headers: { 'X-Api-Key': 'pk_live_your_api_key' } }
);
import requests
response = requests.get(
"https://prod.api.unleeshed.ai/partner/v1/topics",
headers={"X-Api-Key": "pk_live_your_api_key"},
params={"status": "completed", "limit": 10}
)
{
"success": true,
"data": [
{
"topic_id": "a1b2c3d4-...",
"content": "Should the Lakers trade Anthony Davis?",
"status": "completed",
"commentaries_ready": 2,
"total_personas": 2,
"created_at": "2026-01-30T15:30:00Z"
},
{
"topic_id": "e5f6g7h8-...",
"content": "Will the Chiefs repeat as Super Bowl champions?",
"status": "completed",
"commentaries_ready": 3,
"total_personas": 3,
"created_at": "2026-01-30T14:00:00Z"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 47
}
}
Topics
List Topics
List all topics created by your organization
GET
/
partner
/
v1
/
topics
curl -X GET "https://prod.api.unleeshed.ai/partner/v1/topics?status=completed&limit=10" \
-H "X-Api-Key: pk_live_your_api_key"
const response = await fetch(
'https://prod.api.unleeshed.ai/partner/v1/topics?status=completed&limit=10',
{ headers: { 'X-Api-Key': 'pk_live_your_api_key' } }
);
import requests
response = requests.get(
"https://prod.api.unleeshed.ai/partner/v1/topics",
headers={"X-Api-Key": "pk_live_your_api_key"},
params={"status": "completed", "limit": 10}
)
{
"success": true,
"data": [
{
"topic_id": "a1b2c3d4-...",
"content": "Should the Lakers trade Anthony Davis?",
"status": "completed",
"commentaries_ready": 2,
"total_personas": 2,
"created_at": "2026-01-30T15:30:00Z"
},
{
"topic_id": "e5f6g7h8-...",
"content": "Will the Chiefs repeat as Super Bowl champions?",
"status": "completed",
"commentaries_ready": 3,
"total_personas": 3,
"created_at": "2026-01-30T14:00:00Z"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 47
}
}
Query Parameters
string
Filter by status:
pending, in_progress, completed, partialinteger
default:"20"
Number of results (1-100)
integer
default:"0"
Pagination offset
Response
array
Array of topic summaries.
object
Contains
limit, offset, and total.curl -X GET "https://prod.api.unleeshed.ai/partner/v1/topics?status=completed&limit=10" \
-H "X-Api-Key: pk_live_your_api_key"
const response = await fetch(
'https://prod.api.unleeshed.ai/partner/v1/topics?status=completed&limit=10',
{ headers: { 'X-Api-Key': 'pk_live_your_api_key' } }
);
import requests
response = requests.get(
"https://prod.api.unleeshed.ai/partner/v1/topics",
headers={"X-Api-Key": "pk_live_your_api_key"},
params={"status": "completed", "limit": 10}
)
{
"success": true,
"data": [
{
"topic_id": "a1b2c3d4-...",
"content": "Should the Lakers trade Anthony Davis?",
"status": "completed",
"commentaries_ready": 2,
"total_personas": 2,
"created_at": "2026-01-30T15:30:00Z"
},
{
"topic_id": "e5f6g7h8-...",
"content": "Will the Chiefs repeat as Super Bowl champions?",
"status": "completed",
"commentaries_ready": 3,
"total_personas": 3,
"created_at": "2026-01-30T14:00:00Z"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 47
}
}
⌘I